config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    cp -f $NEW $OLD
    rm -f $NEW
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm -f $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/rc.d/rc.numlock.new 
if [[ -x /usr/bin/update-desktop-database ]]; then
  /usr/bin/update-desktop-database -q /usr/share/applications >/dev/null 2>&1
fi
if [[ -e usr/share/icons/hicolor/icon-theme.cache ]]; then
  if [[ -x /usr/bin/gtk-update-icon-cache ]]; then
    /usr/bin/gtk-update-icon-cache /usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [[ ! -r $OLD ]]; then
    mv $NEW $OLD
  elif [[ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/svcblklist.new
config etc/xdg/autostart/ntpdate.desktop.new
config etc/xdg/autostart/cpupowersave.desktop.new
config etc/xdg/autostart/cpuperformance.desktop.new
config etc/shell-colors.new
config etc/rc.d/desc.d/zztop.txt.new
config etc/rc.d/rc.numlock.new.new
